#include <SpeechRecognition.h>

extern Boolean	MyHasSpeechRecognitionMgr (void);
extern OSErr	MySetRejectedWordRefCon (SRRecognitionSystem mySystem);

SRRecognitionSystem MyInitSpeechRecognition (void);

SRRecognitionSystem MyInitSpeechRecognition (void)
{
	OSErr						myErr;
	SRRecognitionSystem			mySystem = NULL;
	
	if (MyHasSpeechRecognitionMgr()) {
		myErr = SROpenRecognitionSystem (&mySystem, kSRDefaultRecognitionSystemID);
		
		if (!myErr) {
			short myModes = kSRHasFeedbackHasListenModes;
			myErr = SRSetProperty (mySystem, kSRFeedbackAndListeningModes, 
														&myModes, sizeof (myModes));
		}
		
		if (!myErr)
			myErr = MySetRejectedWordRefCon (mySystem);
	}
	
	return (mySystem);
}